package de.intevation.flys.artifacts.model;

import java.util.Date;

import org.apache.commons.lang.builder.HashCodeBuilder;


public class StaticSedimentLoadCacheKey
{
    public static final String CACHE_NAME = "sedimentload-value-table-static";

    private String river;
    private double startKm;
    private double endKm;
    private Date date;

    public StaticSedimentLoadCacheKey(
        String river,
        double startKm,
        double endKm,
        Date date
    ) {
        this.river = river;
        this.startKm = startKm;
        this.endKm = endKm;
        this.date = date;
    }

    public int hashCode() {
        HashCodeBuilder builder = new HashCodeBuilder();
        builder.append(river);
        builder.append(startKm);
        builder.append(endKm);
        builder.append(date);
        return builder.toHashCode();
    }

    public boolean equals(Object other) {
        if (!(other instanceof StaticBedHeightCacheKey)) {
            return false;
        }
        StaticSedimentLoadCacheKey o = (StaticSedimentLoadCacheKey) other;
        return this.river == o.river &&
            this.startKm == o.startKm &&
            this.endKm == o.endKm &&
            this.date == o.date;
    }
}
